<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>All Classes</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="class index">
<meta name="generator" content="javadoc/AllClassesIndexWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="all-classes-index-page">
<script type="text/javascript">var data = {"i0":2,"i1":2,"i2":2,"i3":2,"i4":2,"i5":2,"i6":2,"i7":2,"i8":2,"i9":2,"i10":2,"i11":4,"i12":2,"i13":2,"i14":2,"i15":1,"i16":2,"i17":2,"i18":4,"i19":2,"i20":2,"i21":2,"i22":2,"i23":4,"i24":2,"i25":2,"i26":2,"i27":2,"i28":2,"i29":2,"i30":2,"i31":2,"i32":2,"i33":2,"i34":2,"i35":2,"i36":2,"i37":2,"i38":4,"i39":2,"i40":2,"i41":2,"i42":2,"i43":2,"i44":2,"i45":2,"i46":2,"i47":2,"i48":4,"i49":2,"i50":2,"i51":2,"i52":2,"i53":2,"i54":2,"i55":2,"i56":2,"i57":2,"i58":2,"i59":2,"i60":2};
var tabs = {65535:["t0","All Classes"],1:["t1","Interface Summary"],2:["t2","Class Summary"],4:["t3","Enum Summary"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="All&amp;nbsp;Classes" class="title">All&nbsp;Classes</h1>
</div>
<div class="type-summary" id="all-classes-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="all-classes-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Classes</button><button role="tab" aria-selected="false" aria-controls="all-classes-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="table-tab" onclick="show(1);">Interface Summary</button><button role="tab" aria-selected="false" aria-controls="all-classes-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Class Summary</button><button role="tab" aria-selected="false" aria-controls="all-classes-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t3" class="table-tab" onclick="show(4);">Enum Summary</button></div>
<div id="all-classes-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Class</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><a href="fr/ici/dataImporter/iciObjects/Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a></td>
<th class="col-last" scope="row">
<div class="block">Address integration for the ICI project.</div>
</th>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><a href="fr/ici/dataImporter/util/AffectSyntheticPop.html" title="class in fr.ici.dataImporter.util">AffectSyntheticPop</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><a href="fr/ici/dataImporter/iciObjects/Aggregate.html" title="class in fr.ici.dataImporter.iciObjects">Aggregate</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><a href="fr/ici/dataImporter/paris/AppariementBuildingBDTopo.html" title="class in fr.ici.dataImporter.paris">AppariementBuildingBDTopo</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><a href="fr/ici/dataImporter/paris/ApurPOI.html" title="class in fr.ici.dataImporter.paris">ApurPOI</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><a href="fr/ici/dataImporter/paris/ApurWorkingPlace.html" title="class in fr.ici.dataImporter.paris">ApurWorkingPlace</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="alt-color" id="i6">
<td class="col-first"><a href="fr/ici/dataImporter/insee/BpePOI.html" title="class in fr.ici.dataImporter.insee">BpePOI</a></td>
<th class="col-last" scope="row">
<div class="block">POI extracted from the Base des Equipements Publics, produced by the INSEE.</div>
</th>
</tr>
<tr class="row-color" id="i7">
<td class="col-first"><a href="fr/ici/dataImporter/iciObjects/Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="alt-color" id="i8">
<td class="col-first"><a href="fr/ici/dataImporter/iciObjects/BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="row-color" id="i9">
<td class="col-first"><a href="fr/ici/dataImporter/iciObjects/BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a></td>
<th class="col-last" scope="row">
<div class="block">Building integration in the ICI project.</div>
</th>
</tr>
<tr class="alt-color" id="i10">
<td class="col-first"><a href="fr/ici/dataImporter/iciObjects/transport/BusStation.html" title="class in fr.ici.dataImporter.iciObjects.transport">BusStation</a></td>
<th class="col-last" scope="row">
<div class="block">IdF Mobilité bus station object</div>
</th>
</tr>
<tr class="row-color" id="i11">
<td class="col-first"><a href="fr/ici/dataImporter/iciObjects/property/ClassAge.html" title="enum in fr.ici.dataImporter.iciObjects.property">ClassAge</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="alt-color" id="i12">
<td class="col-first"><a href="fr/ici/dataImporter/util/sql/ConnectToDB.html" title="class in fr.ici.dataImporter.util.sql">ConnectToDB</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="row-color" id="i13">
<td class="col-first"><a href="fr/ici/dataImporter/iciObjects/exporter/ConvertToRaster.html" title="class in fr.ici.dataImporter.iciObjects.exporter">ConvertToRaster</a></td>
<th class="col-last" scope="row">
<div class="block">Export the ICI objects into raster formats</div>
</th>
</tr>
<tr class="alt-color" id="i14">
<td class="col-first"><a href="fr/ici/dataImporter/util/multiblock/CreateMultiBlock.html" title="class in fr.ici.dataImporter.util.multiblock">CreateMultiBlock</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="row-color" id="i15">
<td class="col-first"><a href="fr/ici/dataImporter/util/CSVable.html" title="interface in fr.ici.dataImporter.util">CSVable</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="alt-color" id="i16">
<td class="col-first"><a href="fr/ici/dataImporter/mobile/EGT.html" title="class in fr.ici.dataImporter.mobile">EGT</a></td>
<th class="col-last" scope="row">
<div class="block">This class will contain methods to process Étude Globale Transport (EGT) data.</div>
</th>
</tr>
<tr class="row-color" id="i17">
<td class="col-first"><a href="fr/ici/dataImporter/iciObjects/exporter/ExportToGraph.html" title="class in fr.ici.dataImporter.iciObjects.exporter">ExportToGraph</a></td>
<th class="col-last" scope="row">
<div class="block">Export the ICI objects into graph formats</div>
</th>
</tr>
<tr class="alt-color" id="i18">
<td class="col-first"><a href="fr/ici/dataImporter/iciObjects/property/FamilyChildrenNumber.html" title="enum in fr.ici.dataImporter.iciObjects.property">FamilyChildrenNumber</a></td>
<th class="col-last" scope="row">
<div class="block">Cases of number of children if the household is a family.</div>
</th>
</tr>
<tr class="row-color" id="i19">
<td class="col-first"><a href="fr/ici/dataImporter/util/Geocode.html" title="class in fr.ici.dataImporter.util">Geocode</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="alt-color" id="i20">
<td class="col-first"><a href="fr/ici/dataImporter/util/GraphAnalysis.html" title="class in fr.ici.dataImporter.util">GraphAnalysis</a></td>
<th class="col-last" scope="row">
<div class="block">Classes to provide basic explorations of the synthetic population generation processes</div>
</th>
</tr>
<tr class="row-color" id="i21">
<td class="col-first"><a href="fr/ici/dataImporter/util/GraphCheck.html" title="class in fr.ici.dataImporter.util">GraphCheck</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="alt-color" id="i22">
<td class="col-first"><a href="fr/ici/dataImporter/iciObjects/Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a></td>
<th class="col-last" scope="row">
<div class="block">An household occupies a Housing and is composed of one or more Individuals.</div>
</th>
</tr>
<tr class="row-color" id="i23">
<td class="col-first"><a href="fr/ici/dataImporter/iciObjects/property/HouseholdComposition.html" title="enum in fr.ici.dataImporter.iciObjects.property">HouseholdComposition</a></td>
<th class="col-last" scope="row">
<div class="block">Cases of composition/Structure of the household.</div>
</th>
</tr>
<tr class="alt-color" id="i24">
<td class="col-first"><a href="fr/ici/dataImporter/iciObjects/Housing.html" title="class in fr.ici.dataImporter.iciObjects">Housing</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="row-color" id="i25">
<td class="col-first"><a href="fr/ici/dataImporter/iciObjects/ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></td>
<th class="col-last" scope="row">
<div class="block">Supertype of every objects created and used in ICI Simulator</div>
</th>
</tr>
<tr class="alt-color" id="i26">
<td class="col-first"><a href="fr/ici/dataImporter/osm/ImportCommonTransportation.html" title="class in fr.ici.dataImporter.osm">ImportCommonTransportation</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="row-color" id="i27">
<td class="col-first"><a href="fr/ici/dataImporter/osm/ImportOSM.html" title="class in fr.ici.dataImporter.osm">ImportOSM</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="alt-color" id="i28">
<td class="col-first"><a href="fr/ici/dataImporter/iciObjects/Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a></td>
<th class="col-last" scope="row">
<div class="block">Individual for ICI simulations.</div>
</th>
</tr>
<tr class="row-color" id="i29">
<td class="col-first"><a href="fr/ici/dataImporter/iciObjects/iris/IRIS.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRIS</a></td>
<th class="col-last" scope="row">
<div class="block">An IRIS is the smallest scale for statistical information in France.</div>
</th>
</tr>
<tr class="alt-color" id="i30">
<td class="col-first"><a href="fr/ici/dataImporter/iciObjects/iris/IRISDemography.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISDemography</a></td>
<th class="col-last" scope="row">
<div class="block">IRIS implementation for statistical demographic information.</div>
</th>
</tr>
<tr class="row-color" id="i31">
<td class="col-first"><a href="fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousehold</a></td>
<th class="col-last" scope="row">
<div class="block">IRIS implementation for statistical household information.</div>
</th>
</tr>
<tr class="alt-color" id="i32">
<td class="col-first"><a href="fr/ici/dataImporter/iciObjects/iris/IRISHousing.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousing</a></td>
<th class="col-last" scope="row">
<div class="block">IRIS implementation for statistical housing information.</div>
</th>
</tr>
<tr class="row-color" id="i33">
<td class="col-first"><a href="fr/ici/dataImporter/iciObjects/iris/IRISUtil.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISUtil</a></td>
<th class="col-last" scope="row">
<div class="block">Useful tools to analyze IRIS.</div>
</th>
</tr>
<tr class="alt-color" id="i34">
<td class="col-first"><a href="fr/ici/dataImporter/util/MakeCommonNomenclature.html" title="class in fr.ici.dataImporter.util">MakeCommonNomenclature</a></td>
<th class="col-last" scope="row">
<div class="block">Methods used to unify different nomenclatures from the four POI sources and nomenclatures</div>
</th>
</tr>
<tr class="row-color" id="i35">
<td class="col-first"><a href="fr/ici/dataImporter/util/MakeCommonPOIinBuilding.html" title="class in fr.ici.dataImporter.util">MakeCommonPOIinBuilding</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="alt-color" id="i36">
<td class="col-first"><a href="fr/ici/dataImporter/mobile/Match.html" title="class in fr.ici.dataImporter.mobile">Match</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="row-color" id="i37">
<td class="col-first"><a href="fr/ici/dataImporter/minister/MatchEduSupToWorkingPlace.html" title="class in fr.ici.dataImporter.minister">MatchEduSupToWorkingPlace</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="alt-color" id="i38">
<td class="col-first"><a href="fr/ici/dataImporter/util/multiblock/MergeGoal.html" title="enum in fr.ici.dataImporter.util.multiblock">MergeGoal</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="row-color" id="i39">
<td class="col-first"><a href="fr/ici/dataImporter/exec/MinimalExec.html" title="class in fr.ici.dataImporter.exec">MinimalExec</a></td>
<th class="col-last" scope="row">
<div class="block">Data generation that could easilly be generated for every French cities</div>
</th>
</tr>
<tr class="alt-color" id="i40">
<td class="col-first"><a href="fr/ici/dataImporter/osm/OsmPOI.html" title="class in fr.ici.dataImporter.osm">OsmPOI</a></td>
<th class="col-last" scope="row">
<div class="block">OpenStreetMap point of interest. types are gotten from the https://geodatamine.fr/ project</div>
</th>
</tr>
<tr class="row-color" id="i41">
<td class="col-first"><a href="fr/ici/dataImporter/osm/OSMUtil.html" title="class in fr.ici.dataImporter.osm">OSMUtil</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="alt-color" id="i42">
<td class="col-first"><a href="fr/ici/dataImporter/exec/ParisCenter.html" title="class in fr.ici.dataImporter.exec">ParisCenter</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="row-color" id="i43">
<td class="col-first"><a href="fr/ici/dataImporter/exec/ParisPopSynth.html" title="class in fr.ici.dataImporter.exec">ParisPopSynth</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="alt-color" id="i44">
<td class="col-first"><a href="fr/ici/dataImporter/exec/ParisVeExec.html" title="class in fr.ici.dataImporter.exec">ParisVeExec</a></td>
<th class="col-last" scope="row">
<div class="block">Generation of data for the fifth Paris's arrondissement.</div>
</th>
</tr>
<tr class="row-color" id="i45">
<td class="col-first"><a href="fr/ici/dataImporter/iciObjects/POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a></td>
<th class="col-last" scope="row">
<div class="block">General class for point of interest in the ICI project</div>
</th>
</tr>
<tr class="alt-color" id="i46">
<td class="col-first"><a href="fr/ici/dataImporter/util/POIUtil.html" title="class in fr.ici.dataImporter.util">POIUtil</a></td>
<th class="col-last" scope="row">
<div class="block">Methods to explore and manage POIs</div>
</th>
</tr>
<tr class="row-color" id="i47">
<td class="col-first"><a href="fr/ici/dataImporter/mobile/RFS.html" title="class in fr.ici.dataImporter.mobile">RFS</a></td>
<th class="col-last" scope="row">
<div class="block">Process mobility data from cellphone sources</div>
</th>
</tr>
<tr class="alt-color" id="i48">
<td class="col-first"><a href="fr/ici/dataImporter/iciObjects/property/Sex.html" title="enum in fr.ici.dataImporter.iciObjects.property">Sex</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="row-color" id="i49">
<td class="col-first"><a href="fr/ici/dataImporter/insee/SireneEntry.html" title="class in fr.ici.dataImporter.insee">SireneEntry</a></td>
<th class="col-last" scope="row">
<div class="block">Abstract class for any SIRENE related object</div>
</th>
</tr>
<tr class="alt-color" id="i50">
<td class="col-first"><a href="fr/ici/dataImporter/insee/SireneImport.html" title="class in fr.ici.dataImporter.insee">SireneImport</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="row-color" id="i51">
<td class="col-first"><a href="fr/ici/dataImporter/insee/SireneImport.TemporizeSIRENECursoredData.html" title="class in fr.ici.dataImporter.insee">SireneImport.TemporizeSIRENECursoredData</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="alt-color" id="i52">
<td class="col-first"><a href="fr/ici/dataImporter/insee/SirenePOI.html" title="class in fr.ici.dataImporter.insee">SirenePOI</a></td>
<th class="col-last" scope="row">
<div class="block">Object for a Point Of Interest extracted from the SIRENE database</div>
</th>
</tr>
<tr class="row-color" id="i53">
<td class="col-first"><a href="fr/ici/dataImporter/insee/SireneWorkingPlace.html" title="class in fr.ici.dataImporter.insee">SireneWorkingPlace</a></td>
<th class="col-last" scope="row">
<div class="block">Represents a place declared for having an economic or associative activity.</div>
</th>
</tr>
<tr class="alt-color" id="i54">
<td class="col-first"><a href="fr/ici/dataImporter/paris/SortAPURSocial.html" title="class in fr.ici.dataImporter.paris">SortAPURSocial</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="row-color" id="i55">
<td class="col-first"><a href="fr/ici/dataImporter/iciObjects/transport/Station.html" title="class in fr.ici.dataImporter.iciObjects.transport">Station</a></td>
<th class="col-last" scope="row">
<div class="block">IdF Mobilité station objects.</div>
</th>
</tr>
<tr class="alt-color" id="i56">
<td class="col-first"><a href="fr/ici/dataImporter/iciObjects/transport/SubwayStation.html" title="class in fr.ici.dataImporter.iciObjects.transport">SubwayStation</a></td>
<th class="col-last" scope="row">
<div class="block">IdF Mobilité subway station object</div>
</th>
</tr>
<tr class="row-color" id="i57">
<td class="col-first"><a href="fr/ici/dataImporter/exec/Util.html" title="class in fr.ici.dataImporter.exec">Util</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="alt-color" id="i58">
<td class="col-first"><a href="fr/ici/dataImporter/util/Util.html" title="class in fr.ici.dataImporter.util">Util</a></td>
<th class="col-last" scope="row">
<div class="block">Diverse methods</div>
</th>
</tr>
<tr class="row-color" id="i59">
<td class="col-first"><a href="fr/ici/dataImporter/iciObjects/WalkableTile.html" title="class in fr.ici.dataImporter.iciObjects">WalkableTile</a></td>
<th class="col-last" scope="row">
<div class="block">Tile on which pedestrian can circulate</div>
</th>
</tr>
<tr class="alt-color" id="i60">
<td class="col-first"><a href="fr/ici/dataImporter/iciObjects/WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects">WorkingPlace</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
</tbody>
</table>
</div>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
